Bug 842759

Summary: selinux blocks postgresql startup
Product: Red Hat Enterprise Linux 5 Reporter: RHEL Product and Program Management <pm-rhel>
Component: sudoAssignee: Daniel Kopeček <dkopecek>
Status: CLOSED ERRATA QA Contact: Dalibor Pospíšil <dapospis>
Severity: high Docs Contact:
Priority: urgent    
Version: 5.8CC: bloch, csieh, dahorak, dapospis, dkopecek, dspurek, dwalsh, gary.p.anderson, iboverma, jason.corley, jhutar, jneedle, jwest, klaus.steinberger, kvolny, ltoscano, matt, m.a.young, mishu, mmalik, pm-eus, pvrabec, rdassen, redhat-bugzilla, robert.scheck, r.stonham, sgraf, thoger, tis, tmckay, toracat, troels, tuphill
Target Milestone: rcKeywords: ZStream
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: sudo-1.7.2p1-14.el5_8.1 Doc Type: Bug Fix
Doc Text:
The sudo update RHSA-2012:0309 introduced a regression that caused the Security-Enhanced Linux (SELinux) context of the "/etc/nsswitch.conf" file to change during the installation or upgrade of the sudo package. This could cause various services confined by SELinux to no longer be permitted to access the file. In reported cases, this issue prevented PostgreSQL and Postfix from starting.
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 12:53:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 818585    
Bug Blocks: 435010, 841853    

Description RHEL Product and Program Management 2012-07-24 10:20:29 EDT
This bug has been copied from bug #818585 and has been proposed
to be backported to 5.8 z-stream (EUS).
Comment 8 errata-xmlrpc 2012-08-07 12:53:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1149.html
Comment 9 Murray McAllister 2012-08-13 00:19:59 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The sudo update RHSA-2012:0309 introduced a regression that caused the Security-Enhanced Linux (SELinux) context of the "/etc/nsswitch.conf" file to change during the installation or upgrade of the sudo package. This could cause various services confined by SELinux to no longer be permitted to access the file. In reported cases, this issue prevented PostgreSQL and Postfix from starting.